Upstream information

CVE-2022-4245 at MITRE

Description

A flaw was found in codehaus-plexus. The org.codehaus.plexus.util.xml.XmlWriterUtil#writeComment fails to sanitize comments for a --> sequence. This issue means that text contained in the command string could be interpreted as XML and allow for XML injection.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database
Base Score 4.3
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N
Attack Vector Network
Attack Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1205930 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 plexus-utils Already fixed
SUSE Linux Enterprise Desktop 15 SP5 plexus-utils Already fixed
SUSE Linux Enterprise Desktop 15 SP6 plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP5 plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP6 plexus-utils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP5 plexus-utils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP6 plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP5 plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP6 plexus-utils Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 plexus-utils Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP6 plexus-utils Already fixed
SUSE Manager Proxy 4.3 plexus-utils Already fixed
SUSE Manager Retail Branch Server 4.3 plexus-utils Already fixed
SUSE Manager Server 4.3 plexus-utils Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4 plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS plexus-utils Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS plexus-utils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP2 plexus-utils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP3 plexus-utils Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP4 plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP2 plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP3 plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP4 plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS plexus-utils Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 plexus-utils Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 plexus-utils Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 plexus-utils Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 plexus-utils Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 plexus-utils Already fixed
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 7 plexus-utils Already fixed
SUSE Linux Enterprise Desktop 15 SP2 plexus-utils Already fixed
SUSE Linux Enterprise Desktop 15 SP3 plexus-utils Already fixed
SUSE Linux Enterprise Real Time 15 SP2 plexus-utils Already fixed
SUSE Linux Enterprise Real Time 15 SP3 plexus-utils Already fixed
SUSE Linux Enterprise Real Time 15 SP4 plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL plexus-utils Already fixed
SUSE Linux Enterprise Server 15 SP3-BCL plexus-utils Already fixed
SUSE Manager Proxy 4.1 plexus-utils Already fixed
SUSE Manager Proxy 4.2 plexus-utils Already fixed
SUSE Manager Retail Branch Server 4.1 plexus-utils Already fixed
SUSE Manager Retail Branch Server 4.2 plexus-utils Already fixed
SUSE Manager Server 4.1 plexus-utils Already fixed
SUSE Manager Server 4.2 plexus-utils Already fixed
Container Status
bci/openjdk-devel
bci/openjdk-devel:11
plexus-utilsAlready fixed


SUSE Timeline for this CVE

CVE page created: Thu Dec 1 09:04:32 2022
CVE page last modified: Wed May 22 18:00:25 2024